VST 3 Interfaces: Event Struct Reference
Author: Steinberg

VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
Event Struct Reference

EventStructure representing a single Event of different types associated to a specific event (kEvent) bus. More...

`#include <ivstevents.h>`

## Public Types
enum | EventFlags { kIsLive = 1 << 0 , kUserReserved1 = 1 << 14 , kUserReserved2 = 1 << 15 }
| Event Flags - used for Event::flags. More...
enum | EventTypes { kNoteOnEvent = 0 , kNoteOffEvent = 1 , kDataEvent = 2 , kPolyPressureEvent = 3 , kNoteExpressionValueEvent = 4 , kNoteExpressionTextEvent = 5 , kChordEvent = 6 , kScaleEvent = 7 , kLegacyMIDICCOutEvent = 65535 }
| Event Types - used for Event::type. More...

## Public Attributes
int32 | busIndex
| event bus index
int32 | sampleOffset
| sample frames related to the current block start sample position
TQuarterNotes | ppqPosition
| position in project
uint16 | flags
| combination of EventFlags
uint16 | type
| a value from EventTypes
union { |
NoteOnEvent noteOn |
| type == kNoteOnEvent More...
NoteOffEvent noteOff |
| type == kNoteOffEvent More...
DataEvent data |
| type == kDataEvent More...
PolyPressureEvent polyPressure |
| type == kPolyPressureEvent More...
NoteExpressionValueEvent noteExpressionValue |
| type == kNoteExpressionValueEvent More...
NoteExpressionTextEvent noteExpressionText |
| type == kNoteExpressionTextEvent More...
ChordEvent chord |
| type == kChordEvent More...
ScaleEvent scale |
| type == kScaleEvent More...
LegacyMIDICCOutEvent midiCCOut |
| type == kLegacyMIDICCOutEvent More...
}; |  |

## Detailed Description

Event

Structure representing a single Event of different types associated to a specific event (kEvent) bus.

## Member Enumeration Documentation

## ◆ EventFlags

enum EventFlags

Event Flags - used for Event::flags.

Enumerator
kIsLive | indicates that the event is played live (directly from keyboard)
kUserReserved1 | reserved for user (for internal use)
kUserReserved2 | reserved for user (for internal use)

## ◆ EventTypes

enum EventTypes

Event Types - used for Event::type.

Enumerator
kNoteOnEvent | is NoteOnEvent
kNoteOffEvent | is NoteOffEvent
kDataEvent | is DataEvent
kPolyPressureEvent | is PolyPressureEvent
kNoteExpressionValueEvent | is NoteExpressionValueEvent
kNoteExpressionTextEvent | is NoteExpressionTextEvent
kChordEvent | is ChordEvent
kScaleEvent | is ScaleEvent
kLegacyMIDICCOutEvent | is LegacyMIDICCOutEvent

## Member Data Documentation

## ◆ busIndex

int32 busIndex

event bus index

## ◆ sampleOffset

int32 sampleOffset

sample frames related to the current block start sample position

## ◆ ppqPosition

TQuarterNotes ppqPosition

position in project

## ◆ flags

uint16 flags

combination of EventFlags

## ◆ type

uint16 type

a value from EventTypes

## ◆ noteOn

NoteOnEvent noteOn

type == kNoteOnEvent

## ◆ noteOff

NoteOffEvent noteOff

type == kNoteOffEvent

## ◆ data

DataEvent data

type == kDataEvent

## ◆ polyPressure

PolyPressureEvent polyPressure

type == kPolyPressureEvent

## ◆ noteExpressionValue

NoteExpressionValueEvent noteExpressionValue

type == kNoteExpressionValueEvent

## ◆ noteExpressionText

NoteExpressionTextEvent noteExpressionText

type == kNoteExpressionTextEvent

## ◆ chord

ChordEvent chord

type == kChordEvent

## ◆ scale

ScaleEvent scale

type == kScaleEvent

## ◆ midiCCOut

LegacyMIDICCOutEvent midiCCOut

type == kLegacyMIDICCOutEvent

## ◆ [union]

union { ... }

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.